package com.flyfish.framework.r2dbc.domain;

import com.flyfish.framework.annotations.relation.Association;
import com.flyfish.framework.domain.base.AuditDomain;
import com.flyfish.framework.r2dbc.domain.reference.TestAsso;
import com.flyfish.framework.r2dbc.domain.reference.TestChild;
import com.flyfish.framework.r2dbc.domain.reference.TestOther;
import lombok.Data;
import org.springframework.data.annotation.Reference;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.util.List;

/**
 * 测试实体
 * 体现了所有的情况
 *
 * @author wangyu
 */
@Table("test")
@Data
public class TestDO extends AuditDomain {

    @Column("other_id")
    @Reference(TestAsso.class)
    private String otherId;

    @Association
    private TestAsso asso;

    @Association
    private TestOther other;

    @Association
    private List<TestChild> children;
}
